// ConnectDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MyApp.h"
#include "ConnectDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConnectDialog dialog


CConnectDialog::CConnectDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CConnectDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConnectDialog)
	m_strUserID = _T("");
	m_strPassword = _T("");
	m_nAccess = 0;
	m_bConnect = FALSE;
	//}}AFX_DATA_INIT
}


void CConnectDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectDialog)
	DDX_Control(pDX, IDC_USERID, m_editUserID);
	DDX_Control(pDX, IDOK, m_bnConnect);
	DDX_Control(pDX, IDC_DESCRIPTION, m_editDesc);
	DDX_Control(pDX, IDC_DSNLIST, m_lbDSN);
	DDX_Text(pDX, IDC_PASSWORD, m_strPassword);
	DDV_MaxChars(pDX, m_strPassword, 15);
	DDX_Text(pDX, IDC_ACCESS, m_nAccess);
	DDV_MinMaxInt(pDX, m_nAccess, 1, 5);
	DDX_Check(pDX, IDC_CHECKCONTROL, m_bConnect);
	DDX_Text(pDX, IDC_USERID, m_strUserID);
	DDV_MaxChars(pDX, m_strUserID, 15);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConnectDialog, CDialog)
	//{{AFX_MSG_MAP(CConnectDialog)
	ON_LBN_SELCHANGE(IDC_DSNLIST, OnSelchangeDsnlist)
	ON_EN_UPDATE(IDC_USERID, OnUpdateUserid)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CConnectDialog message handlers

BOOL CConnectDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
    m_lbDSN. AddString( "Accounts"); 
    m_lbDSN. AddString("Admin"); 
    m_lbDSN.AddString( "Management");
    OnUpdateUserid();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CConnectDialog::OnOK() 
{
  CMyAppApp * pApp = dynamic_cast<CMyAppApp *>(AfxGetApp());
  ASSERT_VALID(pApp);
  int nChoice = m_lbDSN.GetCurSel();
  if (nChoice != LB_ERR) 
  {
    m_lbDSN.GetText(nChoice, pApp->m_strDSN);
    pApp->m_isDatabaseConnected = TRUE; 
  }
	
  CDialog::OnOK();
}

void CConnectDialog::OnSelchangeDsnlist() 
{
  int nCursel = m_lbDSN.GetCurSel();
  switch(nCursel)
  {
    case 0 : m_editDesc.SetWindowText("Accounting Data"); break;
    case 1 : m_editDesc.SetWindowText("Administration Data"); break;
    case 2 : m_editDesc.SetWindowText("Management Data"); break; 
  }
  char tempbuf[8];
  if (m_editUserID.GetWindowText(tempbuf, 7)) 
        m_bnConnect.EnableWindow(TRUE);
	
}

void CConnectDialog::OnUpdateUserid() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function to send the EM_SETEVENTMASK message to the control
	// with the ENM_UPDATE flag ORed into the lParam mask.
	
	// TODO: Add your control notification handler code here
    char tempbuf[8];
    if ( (m_lbDSN.GetCurSel()   != LB_ERR) &&
      (m_editUserID.GetWindowText(tempbuf, 7)) )
          m_bnConnect.EnableWindow(TRUE);
	  else
        m_bnConnect.EnableWindow(FALSE);
	
}
